com.mapinfo.midev.style

## Class IFont.TextDecoration

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.IFont.TextDecoration

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  IFont

    public static final class IFont.TextDecoration
    extends Enum

Controls decoration effects that are to be added to the font.

See Also:
  Serialized Form

### Field Summary

Fields
`static IFont.TextDecoration` `NONE` The text is to be rendered in the ordinary look of letters.
`static IFont.TextDecoration` `STRIKEOUT` The text is to be rendered with line-through.
`static IFont.TextDecoration` `STRIKEOUT_UNDERLINE` The text is to be rendered with underline and line-through.
`static IFont.TextDecoration` `UNDERLINE` The text is to be rendered with underline.

### Method Summary

All Methods Static Methods Concrete Methods
`static IFont.TextDecoration` `valueOf(String name)`
`static IFont.TextDecoration[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final IFont.TextDecoration NONE

The text is to be rendered in the ordinary look of letters.

#### STRIKEOUT

    public static final IFont.TextDecoration STRIKEOUT

The text is to be rendered with line-through.

#### UNDERLINE

    public static final IFont.TextDecoration UNDERLINE

The text is to be rendered with underline.

#### STRIKEOUT_UNDERLINE

    public static final IFont.TextDecoration STRIKEOUT_UNDERLINE

The text is to be rendered with underline and line-through.

### Method Detail

#### values

    public static IFont.TextDecoration[] values()

#### valueOf

    public static IFont.TextDecoration valueOf(String name)